spring:
  application:
    name: victime
    datasource:
      hikari:
        minimumIdle: 5
        maximumPoolSize: 20
        connectionTimeout: 300000
        idleTimeout: 6000000
        maxLifetime: 18000000
eureka:
  instance:
    leaseRenewalIntervalInSeconds: 10
    health-check-url-path: /actuator/health
    metadata-map:
      startup: ${random.int}    #needed to trigger info and endpoint update after restart
    hostname: ${HOSTNAME:localhost}
  client:
    registryFetchIntervalSeconds: 5
    serviceUrl:
      defaultZone: http://${EUREKA_SERVICE_URL:localhost}:8761/eureka/
management:
  endpoints:
    web:
      exposure:
        include: "*"
  endpoint:
    health:
      show-details: ALWAYS
server:
  port: 8282